PHP Manual
Prev |  | Next

# oci_fetch_assoc

(PHP 5)

oci_fetch_assoc -- Returns the next row from the result data as an associative array

## Description

array oci_fetch_assoc ( resource statement )

Returns the next row from the result data as an associative array.

Calling oci_fetch_assoc() is identical to calling oci_fetch_array() with `OCI_ASSOC`.

A subsequent call to oci_fetch_assoc() will return the next row or `FALSE` if there are no more rows.

For details on the data type mapping performed by the oci8 driver, see the datatypes supported by the driver

## Parameters

`statement`

  A valid OCI statement identifier.

## Return Values

Returns an associative array, or `FALSE` if there are no more rows in the `statement`.

> Note: This function sets NULL fields to PHP `NULL` value.

> Note: Oracle returns all field names in uppercase and associative indices in the result array will be uppercased too.

## See Also

oci_fetch_array()
oci_fetch_object()
oci_fetch_row()
oci_fetch_all()

Prev | Home | Next
oci_fetch_array | Up | oci_fetch_object